vn.py量化社区
By Traders, For Traders.
Member
avatar
加入于:
帖子: 28
声望: 0

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 727, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/util/retry.py", line 410, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/packages/six.py", line 734, in reraise
raise value.with_traceback(tb)
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
chunked=chunked,
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "/root/miniconda3/lib/python3.7/http/client.py", line 1369, in getresponse
response.begin()
File "/root/miniconda3/lib/python3.7/http/client.py", line 310, in begin
version, status, reason = self._read_status()
File "/root/miniconda3/lib/python3.7/http/client.py", line 271, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/root/miniconda3/lib/python3.7/socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "/root/miniconda3/lib/python3.7/ssl.py", line 1071, in recv_into
return self.read(nbytes, buffer)
File "/root/miniconda3/lib/python3.7/ssl.py", line 929, in read
return self._sslobj.read(len, buffer)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/vnpy-2.1.8-py3.7.egg/vnpy/api/rest/rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, send_kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request,
kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
QBasicTimer::start: Timers cannot be started from another thread
QBackingStore::endPaint() called with active painter; did you forget to destroy it or call QPainter::end() on it?
QBasicTimer::start: Timers cannot be started from another thread
QBackingStore::endPaint() called with active painter; did you forget to destroy it or call QPainter::end() on it?
QBackingStore::endPaint() called with active painter; did you forget to destroy it or call QPainter::end() on it?
/root/Desktop/startvnpy.sh: line 1: 13063 Segmentation fault (core dumped) python '/root/Desktop/vnpy-2.1.8/examples/vn_trader/run.py'

Member
avatar
加入于:
帖子: 28
声望: 0

今天又发现这个问题了 已出现行情 就出现这个问题
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/vnpy-2.1.8-py3.7.egg/vnpy/api/rest/rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, send_kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request,
kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
chunked=chunked,
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "/root/miniconda3/lib/python3.7/http/client.py", line 1369, in getresponse
response.begin()
File "/root/miniconda3/lib/python3.7/http/client.py", line 310, in begin
version, status, reason = self._read_status()
File "/root/miniconda3/lib/python3.7/http/client.py", line 271, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/root/miniconda3/lib/python3.7/socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "/root/miniconda3/lib/python3.7/ssl.py", line 1071, in recv_into
return self.read(nbytes, buffer)
File "/root/miniconda3/lib/python3.7/ssl.py", line 929, in read
return self._sslobj.read(len, buffer)
ConnectionResetError: [Errno 104] Connection reset by peer

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 727, in urlopen
method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/util/retry.py", line 410, in increment
raise six.reraise(type(error), error, _stacktrace)
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/packages/six.py", line 734, in reraise
raise value.with_traceback(tb)
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 677, in urlopen
chunked=chunked,
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 426, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "/root/miniconda3/lib/python3.7/site-packages/urllib3/connectionpool.py", line 421, in _make_request
httplib_response = conn.getresponse()
File "/root/miniconda3/lib/python3.7/http/client.py", line 1369, in getresponse
response.begin()
File "/root/miniconda3/lib/python3.7/http/client.py", line 310, in begin
version, status, reason = self._read_status()
File "/root/miniconda3/lib/python3.7/http/client.py", line 271, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
File "/root/miniconda3/lib/python3.7/socket.py", line 589, in readinto
return self._sock.recv_into(b)
File "/root/miniconda3/lib/python3.7/ssl.py", line 1071, in recv_into
return self.read(nbytes, buffer)
File "/root/miniconda3/lib/python3.7/ssl.py", line 929, in read
return self._sslobj.read(len, buffer)
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/root/miniconda3/lib/python3.7/site-packages/vnpy-2.1.8-py3.7.egg/vnpy/api/rest/rest_client.py", line 262, in _process_request
proxies=self.proxies,
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 530, in request
resp = self.send(prep, send_kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/sessions.py", line 643, in send
r = adapter.send(request,
kwargs)
File "/root/miniconda3/lib/python3.7/site-packages/requests/adapters.py", line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
QWidget::repaint: Recursive repaint detected
QBackingStore::endPaint() called with active painter; did you forget to destroy it or call QPainter::end() on it?
QWidget::repaint: Recursive repaint detected
QBackingStore::endPaint() called with active painter; did you forget to destroy it or call QPainter::end() on it?
/root/Desktop/startvnpy.sh: line 1: 24436 Segmentation fault (core dumped) python '/root/Desktop/vnpy-2.1.8/examples/vn_trader/run.py'
(base) [root@vnpy ~]#

Administrator
avatar
加入于:
帖子: 4607
声望: 264

请升级最新2.2.0版本,该问题已经修复

© 2015-2019 上海韦纳软件科技有限公司
备案服务号:沪ICP备18006526号-3

沪公网安备 31011502017034号